@charset "UTF-8";

/* =========================
   Root / Variablen
========================= */
:root 
{
    --error-color:       #780606;
    --error-textsize-h1:      20px;
}

.btn-glass {
    background:      rgba(255, 255, 255, 0.2);
    color:                            #FFFFFF;
    border: 1px solid  rgba(255, 255, 255, 1);
    padding:                        12px 24px;
    font-size:                           16px;
    border-radius:                       14px;
    cursor:                           pointer;
    backdrop-filter:               blur(10px);
    -webkit-backdrop-filter:       blur(10px);
    transition:                 all 0.3s ease;
    text-align:                        center;
    margin-left:                       0.25em;
    margin-right:                      0.25em;
}

.btn-glass:hover {background:   rgba(255, 255, 255, 0.40);}

.btn-glass-nav 
{
    display:      inline-flex;
    justify-content:   center;
    align-items:       center;

    min-width:              180px;
    max-width:              300px;
     
    background:      rgba(255, 255, 255, 0.1);
    color:                            #FFFFFF;
    border:                              none; /*1px solid  rgba(255, 255, 255, 1);*/
    padding:                        12px 24px;
    font-size:                           16px;
    border-radius:                       20px;
    cursor:                           pointer;
    backdrop-filter:               blur(15px);
    -webkit-backdrop-filter:       blur(15px);
    transition:                 all 0.4s ease;
    text-align:                        center;
    margin-left:                        0.5em;
    margin-right:                       0.5em;
}

.btn-glass-nav:hover {
    background:    rgba(255, 255, 255, 0.4);
    border:                              none;    
}

/* =========================
   Mobile Geräte
========================= */
@media (max-width: 768px)
{
    .btn-glass
    {
        width:            100%;
        max-width:        100%;
        padding:     10px 16px;
        font-size:        15px;
        border-radius:    12px;
        margin-left:         0;
        margin-right:        0;
        margin-bottom:  0.45em;
        box-sizing: border-box;
        z-index: 0;
    }

    .btn-glass-nav 
    {
    display: flex;
    justify-content: center;
    align-items: center;

    width: 100%;
    max-width: 220px;
    min-height: 48px;

    background: rgba(255, 255, 255, 0.2);
    color: #FFFFFF;
    border: 1px solid rgba(255, 255, 255, 1);
    padding: 12px 16px;
    font-size: 16px;
    border-radius: 14px;
    cursor: pointer;
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    transition: all 0.3s ease;
    text-align: center;
    margin: 6px auto;
    box-sizing: border-box;
    z-index: 0;
    }
}